import sys, time, string
from calclib import deg, atodms, diff
import calclib

data = calclib.load_track(sys.argv[1])

(date, lat, lon, alt) = string.split(string.strip(data[0]),"\t")

lo1, la1 = deg(atodms(lon)), deg(atodms(lat))
odate = time.mktime(time.strptime(date, "%d-%b-%Y %H:%M:%S"))
print "0.\t%f\t%f\t%s\t%s\t%f\t%s\t%s\t%s\t%f" % (0, 0, 
          time.strftime("%H:%M:%S", time.gmtime(0)), 
          time.strftime("%H:%M:%S", time.gmtime(0)), 
          0, alt, lat, lon, 0)

nr = 1
tracksum = timesum  = 0.0
timelist = []
tracklist = []
speedlist = []

def add(x,y):
	return x+y

for line in data[1:]:
	latold, lonold = lat, lon
	(date, lat, lon, alt) = string.split(string.strip(line),"\t")
        ndate = time.mktime(time.strptime(date, "%d-%b-%Y %H:%M:%S"))
	lo2, la2 =deg(atodms(lon)), deg(atodms(lat))
	trackdiff  = diff(lo1, la1, lo2, la2)
        timediff = ndate-odate
	tracksum = tracksum + trackdiff
        timesum = timesum + timediff
	speed = trackdiff/(timediff/3600.0)
	if len (timelist) > 25:
		del tracklist[0]
		del timelist[0]
		del speedlist[0]
	tracklist.append(trackdiff)
	timelist.append(timediff)
	speedlist.append(speed)
	#trackslice = reduce(add, tracklist, 0)
	#timeslice = reduce(add, timelist, 0)
	#avgspeed = trackslice/(timeslice/3600.0)
	avgspeed = reduce(add, speedlist, 0)/len(speedlist)
	print "%d.\t%f\t%f\t%s\t%s\t%f\t%s\t%s\t%s\t%f" % (nr, trackdiff, tracksum, 
          time.strftime("%H:%M:%S", time.gmtime(timediff)), 
          time.strftime("%H:%M:%S", time.gmtime(timesum)), 
          speed, alt, latold, lonold,
	  avgspeed)
	nr = nr + 1
	la1, lo1, odate = la2, lo2, ndate
