import sys, time, string
from math import sqrt, acos, cos, sin, pow, asin, pi
from calclib import diff, deg, atodms

track=[]

f = open(sys.argv[1], "r")
line = f.readline()
while (line):
	if line[0]=="!":
		line=f.readline()
		continue
	x = string.split(string.strip(line),"\t",9)
	track.append(x)
	line = f.readline()

f = open(sys.argv[2], "r")
out = open(sys.argv[3], "w")

line = f.readline()
while line[0]=="!" or line[0]=="%" or line[0]==chr(10):
	line = f.readline()

while (line):
	x = string.split(string.strip(line),"\t",5)
        name, comm, lat, lon = x[0], x[1], x[2], x[3]
	lo1, la1 = deg(atodms(lon)), deg(atodms(lat))
	mindiff = 99999.9
	for t in track:
		d = diff(deg(atodms(t[7])), deg(atodms(t[8])), la1,lo1)
		if d<mindiff:
			mint=t
			mindiff=d
	out.write ("%f\t%f\n" % (string.atof(mint[2]),string.atof(mint[6])))
	print "set label \"%s\" at %f,%f" % (name,string.atof(mint[2])+0.5,string.atof(mint[6])) #moved 0.5 km to right
	line = f.readline()
	try:
		while line[0]=="!" or line[0]=="%" or line[0]==chr(10):
			line = f.readline()
	except IndexError: break

out.close()
